Name:          libmowgli
Version:       2.1.3
Release:       1mamba
Summary:       A development framework for C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/atheme/libmowgli-2
Source:        https://github.com/atheme/libmowgli-2.git/v%{version}/libmowgli-2-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END

%description
Mowgli is a development framework for C (like GLib), which provides high performance and highly flexible algorithms.
It can be used as a supplement to GLib (to add additional functions (dictionaries, hashes),
or replace some of the slow GLib list manipulation functions), or stand alone.
It also provides a powerful hook system and convenient logging for your code, as well as a high performance block allocator.

%package devel
Group:         Development/Libraries
Summary:       libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files needed for development.

%debug_package

%prep
%setup -q -n libmowgli-2-%{version}
./autogen.sh

%build
%configure 
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmowgli-2.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libmowgli-2
%{_includedir}/libmowgli-2/*
%{_libdir}/libmowgli-2.so
%{_libdir}/pkgconfig/libmowgli-2.pc

%changelog
* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-1mamba
- update to 2.1.3

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Fri Oct 21 2011 Automatic Build System <autodist@mambasoft.it> 0.9.95-1mamba
- automatic version update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 0.9.50-1mamba
- update to 0.9.50

* Sat Jul 17 2010 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic update by autodist

* Mon Sep 01 2008 gil <puntogil@libero.it> 0.7.0-1mamba
- update to 0.7.0

* Mon May 12 2008 gil <puntogil@libero.it> 0.6.0-1mamba
- package created by autospec
